<template>
  <Blottie
    ref="blottie"
    :lottie="{ loop: false, renderer: 'svg', path: src }"
    @ready="onReady"
  />
</template>

<script lang="ts" setup>
import type { AnimationItem } from "lottie-web";
import { Blottie, type BlottieExpose } from "blottie";
// import { ref } from "nuxt/dxist/app/compat/capi";

const blottie = ref<BlottieExpose>();

function onReady(anim?: AnimationItem) {
  anim?.play();
}

const props = defineProps({
  src: {
    type: String,
    required: true,
  },
});
</script>
